Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

upgrading 9.2.0.1 to 9.2.0.5

Glenn Joseph Andal
Frequent Advisor

upgrading 9.2.0.1 to 9.2.0.5

We are upgrading our oracle version from 9.2.0.1 to higher patchset 9.2.0.5. Unfortunately when we are already in 99% completing in linking stage we are receiving this errors. Can somebody help us here?

thanks,

Otep

Start output from spawned process:
----------------------------------
Multiple rules lines for `ctxhx'
cc -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o ctxload -L/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/lib/ -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o ctxload -L/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/lib/ /opt/oracle/product/9.2/ctx/lib/sdrz.o -lctxs9 -lctx9 -lzx9 -lgx9 -lctx9 -lzx9 -lgx9 /opt/oracle/product/9.2/rdbms/lib/defopt.o -lclntsh `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lwtc9 -lmm -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -ltrace9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /opt/oracle/product/9.2/lib/sysliblist` -lm -lpthread -lpthread `cat /opt/oracle/product/9.2/lib/sysliblist` -lm -lpthread
mv -f /opt/oracle/product/9.2/bin/ctxload /opt/oracle/product/9.2/bin/ctxloadO
mv ctxload /opt/oracle/product/9.2/bin/ctxload
chmod 751 /opt/oracle/product/9.2/bin/ctxload
cc -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o ctxsrv -L/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/lib/ -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o ctxsrv -L/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/lib/ /opt/oracle/product/9.2/ctx/lib/sdrt.o /opt/oracle/product/9.2/ctx/lib/drtl.o -lctxs9 -lctx9 -lzx9 -lgx9 -lctx9 -lzx9 -lgx9 /opt/oracle/product/9.2/rdbms/lib/defopt.o -lclntsh `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lwtc9 -lmm -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /opt/oracle/product/9.2/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -ltrace9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /opt/oracle/product/9.2/lib/sysliblist` -lm -lpthread -lpthread `cat /opt/oracle/product/9.2/lib/sysliblist` -lm -lpthread
mv -f /opt/oracle/product/9.2/bin/ctxsrv /opt/oracle/product/9.2/bin/ctxsrvO
mv ctxsrv /opt/oracle/product/9.2/bin/ctxsrv
chmod 751 /opt/oracle/product/9.2/bin/ctxsrv
Too many command lines for `ctxhx'
Too many command lines for `ctxhx'
cc -Wl,+s -Wl,+n -L/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/lib32/ -o ctxhx /opt/oracle/product/9.2/ctx/lib/ctxhx.o -Wl,+b/opt/oracle/product/9.2/ctx/lib/ -L/opt/oracle/product/9.2/ctx/lib/ -lXm -lgen -lXt -lX11 -lsc_ca -lsc_fa -lsc_ex -lsc_da -lsc_ut -lsc_ch -lsc_fi -lsc_lo -lctxhx -lc -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9
/usr/ccs/bin/ld: Can't find library: "X11"

Stop.
*** Error exit code 1

End output from spawned process.
----------------------------------
Exception thrown from action: make
Exception Name: MakefileException
Exception String: Error in invoking target 'install' of makefile '/opt/oracle/product/9.2/ctx/lib/ins_ctx.mk'. See '/opt/oracle/oraInventory/logs/installActions2005-11-18_03-47-32PM.log' for details.
Exception Severity: 1
3 REPLIES
Edgar_8
Regular Advisor

Re: upgrading 9.2.0.1 to 9.2.0.5

Hi,

Have you completed all the pre-requisite actions:

1. update kernel parms
2. set the ORACLE variables
3. done the linking (ie. ln -s )
4. And what is reported in the install log?

Regards
Eric Antunes
Honored Contributor

Re: upgrading 9.2.0.1 to 9.2.0.5

Hi Glenn,

Check Metalink Note 169706.1 and HP doc KBRC00003627.

Best Regards,

Eric Antunes

Each and every day is a good day to learn.
Steven E. Protter
Exalted Contributor

Re: upgrading 9.2.0.1 to 9.2.0.5

This is a pretty big problem.

You can probably just relink the product versus doing the entire install.

Check SHLIB_PATH
variable.

This is a typical problem that shows the variable is not set according to Oracle install guidelines.

Run through the installation manual and make sure other requirements are met.

Again, you should be able to get away with only relinking, once you resolve the issue.

There are data conversion steps in the install guide, you'll need to follow those very carefully.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com